<template>
  <div >
    <LeaveForm
      v-bind.sync="note"
      v-on:submit="submit"
      v-on:cancel="cancel"
    >
    </LeaveForm>
  </div>
</template>

<script>

import LeaveForm from '@/components/leave/LeaveForm.vue';
import { getAuthenticatedUser } from '@/fb';
// import Logger from '@/logger/index';
import { mapGetters } from 'vuex';
import Note from '@/models/Note';

export default {
  components: {
    LeaveForm,
  },
  data() {
    return {
      note: new Note(),
    };
  },
  computed: {
    ...mapGetters({
      snackbarText: 'getSnackbarText',
      showSnackbar: 'getShowSnackbar',
    }),
  },
  mounted() {
    getAuthenticatedUser().then((user) => {
      // Logger.debug('Got user: ', user);
      console.log('Got user: ', user);
      this.note.uid = user.uid;
    });
  },
  methods: {
    submit() {
      this.note.create().then(() => {
        // Logger.debug('Done creating note', this.note.id);
        console.log('Done creating note', this.note.id);
        this.$store.dispatch('setSnackbarText', 'Created new note');
        this.$store.dispatch('setShowSnackbar', true);
        this.$router.replace({ name: 'LeaveList' });
      });
      // this.$store.dispatch('setOverlay', true);
      // db.collection('leavetype').add(details)
      //   .then(() => {
      //     this.$store.dispatch('setOverlay', false);
      //     this.$store.dispatch('setSnackbarText', 'Department Added Successfully');
      //     this.$store.dispatch('setShowSnackbar', true);
      //     setTimeout(() => {
      //       this.$store.dispatch('setShowSnackbar', false);
      //     }, 4000);
      //   }).catch((error)=> {
      //     this.$store.dispatch('setOverlay', false);
      //     this.$store.dispatch('setSnackbarText', error.message);
      //     this.$store.dispatch('setShowSnackbar', true);
      //     setTimeout(() => {
      //       this.$store.dispatch('setShowSnackbar', false);
      //     }, 4000);
      //     console.log(error);
      // })
    },
    cancel() {
      this.$router.replace({ name: 'LeaveList' });
    },
  },
};
</script>
